Bug 205487

Summary: lang/ruby{20,21,22}: Update ruby ports to their latest versions (2.0.0.648, 2.1.8, 2.2.4)
Product: Ports & Packages Reporter: Sunpoet Po-Chuan Hsieh <sunpoet>
Component: Individual Port(s)Assignee: Sunpoet Po-Chuan Hsieh <sunpoet>
Status: Closed FIXED    
Severity: Affects Many People CC: portmgr, ruby, yasu
Priority: --- Keywords: patch
Version: LatestFlags: koobs: exp-run+
Hardware: Any   
OS: Any   
URL: https://reviews.freebsd.org/D4668
See Also: https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=205425

Description Sunpoet Po-Chuan Hsieh freebsd_committer 2015-12-21 14:10:32 UTC
Request exp-run
Comment 2 commit-hook freebsd_committer 2015-12-23 19:10:38 UTC
A commit references this bug:

Author: sunpoet
Date: Wed Dec 23 19:09:56 UTC 2015
New revision: 404312
URL: https://svnweb.freebsd.org/changeset/ports/404312

Log:
  - Update to 2.2.4
  - Add LICENSE_FILE
  - Use USES=autoreconf instead of USE_AUTOTOOLS=autoconf
  - Use USES=libedit
  - Silence patch and build messages

  Changes:	https://www.ruby-lang.org/en/news/2015/12/16/ruby-2-2-4-released/
  		http://svn.ruby-lang.org/repos/ruby/tags/v2_2_4/ChangeLog
  Security:	3b50881d-1860-4721-aab1-503290e23f6c
  Differential Revision:	https://reviews.freebsd.org/D4668
  PR:		205487
  Exp-run by:	antoine
  MFH:		2015Q4

Changes:
  head/Mk/bsd.ruby.mk
  head/lang/ruby22/Makefile
  head/lang/ruby22/distinfo
  head/lang/ruby22/files/patch-ext_openssl_extconf.rb
  head/lang/ruby22/files/patch-ext_readline_extconf.rb
  head/lang/ruby22/pkg-plist
Comment 3 commit-hook freebsd_committer 2015-12-23 19:11:40 UTC
A commit references this bug:

Author: sunpoet
Date: Wed Dec 23 19:10:48 UTC 2015
New revision: 404313
URL: https://svnweb.freebsd.org/changeset/ports/404313

Log:
  - Update to 2.1.8
  - Add LICENSE_FILE
  - Use USES=autoreconf instead of USE_AUTOTOOLS=autoconf
  - Use USES=libedit
  - Silence patch and build messages

  Changes:	https://www.ruby-lang.org/en/news/2015/12/16/ruby-2-1-8-released/
  		http://svn.ruby-lang.org/repos/ruby/tags/v2_1_8/ChangeLog
  Security:	3b50881d-1860-4721-aab1-503290e23f6c
  Differential Revision:	https://reviews.freebsd.org/D4668
  PR:		205487
  Exp-run by:	antoine
  MFH:		2015Q4

Changes:
  head/Mk/bsd.ruby.mk
  head/lang/ruby21/Makefile
  head/lang/ruby21/distinfo
  head/lang/ruby21/files/patch-ext_openssl_extconf.rb
  head/lang/ruby21/files/patch-ext_readline_extconf.rb
Comment 4 commit-hook freebsd_committer 2015-12-23 19:12:41 UTC
A commit references this bug:

Author: sunpoet
Date: Wed Dec 23 19:11:45 UTC 2015
New revision: 404314
URL: https://svnweb.freebsd.org/changeset/ports/404314

Log:
  - Update to 2.0.0p648
  - Add LICENSE_FILE
  - Use USES=autoreconf instead of USE_AUTOTOOLS=autoconf
  - Use USES=libedit
  - Use USES=tar:xz
  - Silence patch and build messages

  Changes:	https://www.ruby-lang.org/en/news/2015/12/16/ruby-2-0-0-p648-released/
  		http://svn.ruby-lang.org/repos/ruby/tags/v2_0_0_648/ChangeLog
  Security:	3b50881d-1860-4721-aab1-503290e23f6c
  Differential Revision:	https://reviews.freebsd.org/D4668
  PR:		205487
  Exp-run by:	antoine
  MFH:		2015Q4

Changes:
  head/Mk/bsd.ruby.mk
  head/lang/ruby20/Makefile
  head/lang/ruby20/distinfo
Comment 5 commit-hook freebsd_committer 2015-12-24 12:51:35 UTC
A commit references this bug:

Author: sunpoet
Date: Thu Dec 24 12:50:51 UTC 2015
New revision: 404352
URL: https://svnweb.freebsd.org/changeset/ports/404352

Log:
  MFH: r404312

  - Update to 2.2.4
  - Add LICENSE_FILE
  - Use USES=autoreconf instead of USE_AUTOTOOLS=autoconf
  - Use USES=libedit
  - Silence patch and build messages

  Changes:	https://www.ruby-lang.org/en/news/2015/12/16/ruby-2-2-4-released/
  		http://svn.ruby-lang.org/repos/ruby/tags/v2_2_4/ChangeLog
  Security:	3b50881d-1860-4721-aab1-503290e23f6c
  Differential Revision:	https://reviews.freebsd.org/D4668
  PR:		205487
  Exp-run by:	antoine

  Approved by:	ports-secteam (feld)

Changes:
_U  branches/2015Q4/
  branches/2015Q4/Mk/bsd.ruby.mk
  branches/2015Q4/lang/ruby22/Makefile
  branches/2015Q4/lang/ruby22/distinfo
  branches/2015Q4/lang/ruby22/files/patch-ext_openssl_extconf.rb
  branches/2015Q4/lang/ruby22/pkg-plist
Comment 6 commit-hook freebsd_committer 2015-12-24 12:54:36 UTC
A commit references this bug:

Author: sunpoet
Date: Thu Dec 24 12:53:35 UTC 2015
New revision: 404353
URL: https://svnweb.freebsd.org/changeset/ports/404353

Log:
  MFH: r404313

  - Update to 2.1.8
  - Add LICENSE_FILE
  - Use USES=autoreconf instead of USE_AUTOTOOLS=autoconf
  - Use USES=libedit
  - Silence patch and build messages

  Changes:	https://www.ruby-lang.org/en/news/2015/12/16/ruby-2-1-8-released/
  		http://svn.ruby-lang.org/repos/ruby/tags/v2_1_8/ChangeLog
  Security:	3b50881d-1860-4721-aab1-503290e23f6c
  Differential Revision:	https://reviews.freebsd.org/D4668
  PR:		205487
  Exp-run by:	antoine

  Approved by:	ports-secteam (feld)

Changes:
_U  branches/2015Q4/
  branches/2015Q4/Mk/bsd.ruby.mk
  branches/2015Q4/lang/ruby21/Makefile
  branches/2015Q4/lang/ruby21/distinfo
  branches/2015Q4/lang/ruby21/files/patch-ext_openssl_extconf.rb
Comment 7 commit-hook freebsd_committer 2015-12-24 13:00:38 UTC
A commit references this bug:

Author: sunpoet
Date: Thu Dec 24 13:00:17 UTC 2015
New revision: 404355
URL: https://svnweb.freebsd.org/changeset/ports/404355

Log:
  MFH: r404314

  - Update to 2.0.0p648
  - Add LICENSE_FILE
  - Use USES=autoreconf instead of USE_AUTOTOOLS=autoconf
  - Use USES=libedit
  - Use USES=tar:xz
  - Silence patch and build messages

  Changes:	https://www.ruby-lang.org/en/news/2015/12/16/ruby-2-0-0-p648-released/
  		http://svn.ruby-lang.org/repos/ruby/tags/v2_0_0_648/ChangeLog
  Security:	3b50881d-1860-4721-aab1-503290e23f6c
  Differential Revision:	https://reviews.freebsd.org/D4668
  PR:		205487
  Exp-run by:	antoine

  Approved by:	ports-secteam (feld)

Changes:
_U  branches/2015Q4/
  branches/2015Q4/Mk/bsd.ruby.mk
  branches/2015Q4/lang/ruby20/Makefile
  branches/2015Q4/lang/ruby20/distinfo
Comment 8 Kubilay Kocak freebsd_committer freebsd_triage 2015-12-24 13:23:51 UTC
*** Bug 205425 has been marked as a duplicate of this bug. ***
Comment 9 Sunpoet Po-Chuan Hsieh freebsd_committer 2015-12-24 13:24:20 UTC
Committed. Thanks!